import request from '@/utils/request'

// 查询型号列表列表
export function listModel(query) {
  return request({
    url: '/bst/model/list',
    method: 'get',
    params: query
  })
}

// 查询型号列表详细
export function getModel(modelId) {
  return request({
    url: '/bst/model/' + modelId,
    method: 'get'
  })
}

// 新增型号列表
export function addModel(data) {
  return request({
    url: '/bst/model',
    method: 'post',
    data: data
  })
}

// 修改型号列表
export function updateModel(data) {
  return request({
    url: '/bst/model',
    method: 'put',
    data: data
  })
}

// 删除型号列表
export function delModel(modelId) {
  return request({
    url: '/bst/model/' + modelId,
    method: 'delete'
  })
}
